# Uses of Interface
org.opensaml.security.credential.Credential

Packages that use Credential
Package
Description
org.opensaml.saml.common.binding.security.impl
Classes responsible for performing transport-related and basic message validation of decoded SAML messages.
org.opensaml.saml.saml2.binding.encoding.impl
SAML 2.0 message encoders.
org.opensaml.saml.saml2.binding.security.impl
Security-related message handlers for SAML 2.0.
org.opensaml.saml.security.impl
Classes related to verifying various credentials within a SAML system.
org.opensaml.security.credential
Interfaces and classes related to credentials and ways to represent them.
org.opensaml.security.credential.criteria.impl
Implementations of `Criterion` where the parameterized evaluation target type is `Credential`.
org.opensaml.security.credential.impl
`CredentialResolver` implementation classes.
org.opensaml.security.crypto
General cryptographic functionality.
org.opensaml.security.messaging
Messaging-related security classes.
org.opensaml.security.trust.impl
`TrustEngine` implementation classes.
org.opensaml.security.x509
X.509-based credential and trust classes.
org.opensaml.security.x509.impl
`TrustEngine` implementation classes related to PKIX.
org.opensaml.spring.credential
Factory beans for various credential classes.
org.opensaml.spring.trust
Factory beans for trust engines.
org.opensaml.xmlsec
Configuration and support classes for security.
org.opensaml.xmlsec.agreement
API components related to key agreement operations.
org.opensaml.xmlsec.agreement.impl
Implementation components related to key agreement operations.
org.opensaml.xmlsec.algorithm
Configuration and support classes for security algorithms.
org.opensaml.xmlsec.crypto
Support classes for XML Security operations.
org.opensaml.xmlsec.encryption.support
Functional support for XML Encryption.
org.opensaml.xmlsec.impl
Implementation of configuration and parameter resolver classes.
org.opensaml.xmlsec.keyinfo
Classes in support of processing XML Signature KeyInfo material.
org.opensaml.xmlsec.keyinfo.impl
Interfaces and classes for working with XML KeyInfo elements.
org.opensaml.xmlsec.keyinfo.impl.provider
Specific implementations of `KeyInfoProvider`.
org.opensaml.xmlsec.signature
XMLObject interfaces and helper classes for representing digitally signed content and signing/validating content.
org.opensaml.xmlsec.signature.impl
Implementations of the interfaces for XMLObjects that represent XML signature types.
org.opensaml.xmlsec.signature.support
Functional support for XML Signature.
org.opensaml.xmlsec.signature.support.impl
Implementations of signature evaluation functions.
org.opensaml.xmlsec.signature.support.impl.provider
Provides Santuario-specific implementation of signing and validation.

## Uses of Credential in org.opensaml.saml.common.binding.security.impl

Methods in org.opensaml.saml.common.binding.security.impl that return types with arguments of type Credential
Modifier and Type
Method
Description
`protected List<Credential>`
BaseSAMLSimpleSignatureSecurityHandler.`getRequestCredentials(MessageContext messageContext)`
Extract any candidate validation credentials from the request and/or message context.
Method parameters in org.opensaml.saml.common.binding.security.impl with type arguments of type Credential
Modifier and Type
Method
Description
`protected boolean`
BaseSAMLSimpleSignatureSecurityHandler.`validateSignature(byte[] signature, byte[] signedContent, String algorithmURI, CriteriaSet criteriaSet, List<Credential> candidateCredentials)`
Validate the simple signature.

## Uses of Credential in org.opensaml.saml.saml2.binding.encoding.impl

Methods in org.opensaml.saml.saml2.binding.encoding.impl with parameters of type Credential
Modifier and Type
Method
Description
`protected String`
HTTPPostSimpleSignEncoder.`buildKeyInfo(Credential signingCredential, KeyInfoGenerator kiGenerator)`
Build the `KeyInfo` from the signing credential.
`protected String`
HTTPPostSimpleSignEncoder.`generateSignature(Credential signingCredential, String algorithmURI, String formData)`
Generates the signature over the string of concatenated form control data as indicated by the SimpleSign spec.
`protected String`
HTTPRedirectDeflateEncoder.`generateSignature(Credential signingCredential, String algorithmURI, String queryString)`
Generates the signature over the query string.

## Uses of Credential in org.opensaml.saml.saml2.binding.security.impl

Methods in org.opensaml.saml.saml2.binding.security.impl that return types with arguments of type Credential
Modifier and Type
Method
Description
`protected List<Credential>`
SAML2HTTPPostSimpleSignSecurityHandler.`getRequestCredentials(MessageContext samlContext)`
Extract any candidate validation credentials from the request and/or message context.

## Uses of Credential in org.opensaml.saml.security.impl

Methods in org.opensaml.saml.security.impl that return types with arguments of type Credential
Modifier and Type
Method
Description
`protected Collection<Credential>`
MetadataCredentialResolver.`resolveFromMetadata(CriteriaSet criteriaSet, String entityID, QName role, String protocol, UsageType usage)`
Resolves credentials using this resolver's configured instance of `RoleDescriptorResolver`.
`protected Collection<Credential>`
MetadataCredentialResolver.`resolveFromRoleDescriptor(CriteriaSet criteriaSet, RoleDescriptor roleDescriptor, UsageType usage)`
Resolves credentials using a supplied instance of `RoleDescriptor`.
`protected Iterable<Credential>`
MetadataCredentialResolver.`resolveFromSource(CriteriaSet criteriaSet)`
Subclasses are required to implement this method to resolve credentials from the implementation-specific type of underlying credential source.
Methods in org.opensaml.saml.security.impl with parameters of type Credential
Modifier and Type
Method
Description
`protected boolean`
SAMLMetadataEncryptionParametersResolver.`checkAndProcessKeyAgreement(EncryptionParameters params, CriteriaSet criteria, Predicate<String> includeExcludePredicate, Credential credential)`
Check for a credential type that implies a key agreement operation, and process if so indicated.
`protected boolean`
SAMLMetadataEncryptionParametersResolver.`credentialSupportsEncryptionMethod(Credential credential, EncryptionMethod encryptionMethod)`
Evaluate whether the specified credential is supported for use with the specified `EncryptionMethod`.
`protected boolean`
SAMLMetadataSignatureSigningParametersResolver.`credentialSupportsSigningMethod(Credential credential, SigningMethod signingMethod)`
Evaluate whether the specified credential is supported for use with the specified `SigningMethod`.
`protected SAMLMetadataKeyAgreementEncryptionConfiguration`
SAMLMetadataEncryptionParametersResolver.`getEffectiveKeyAgreementConfiguration(CriteriaSet criteria, Credential credential)`
Get the effective `SAMLMetadataKeyAgreementEncryptionConfiguration` to use with the specified credential.
`protected Pair<String,EncryptionMethod>`
SAMLMetadataEncryptionParametersResolver.`resolveKeyTransportAlgorithm(Credential keyTransportCredential, CriteriaSet criteria, Predicate<String> includeExcludePredicate, String dataEncryptionAlgorithm, SAMLMDCredentialContext metadataCredContext)`
Determine the key transport algorithm URI to use with the specified credential, also returning the associated `EncryptionMethod` from metadata if relevant.
Method parameters in org.opensaml.saml.security.impl with type arguments of type Credential
Modifier and Type
Method
Description
`protected void`
MetadataCredentialResolver.`extractCredentials(Collection<Credential> accumulator, KeyDescriptor keyDescriptor, String entityID, UsageType mdUsage)`
Extract the credentials from the specified KeyDescriptor.
`protected void`
MetadataCredentialResolver.`processRoleDescriptor(Collection<Credential> accumulator, RoleDescriptor roleDescriptor, String entityID, UsageType usage)`
Process a RoleDescriptor by examing each of its KeyDescriptors.

## Uses of Credential in org.opensaml.security.credential

Subinterfaces of Credential in org.opensaml.security.credential
Modifier and Type
Interface
Description
`interface`
`MutableCredential`
A specialization of `Credential` which supports mutation of its properties.
Classes in org.opensaml.security.credential that implement Credential
Modifier and Type
Class
Description
`class`
`AbstractCredential`
Base class for `Credential` implementations.
`class`
`BasicCredential`
A basic implementation of `Credential`.
Methods in org.opensaml.security.credential that return types with arguments of type Credential
Modifier and Type
Method
Description
`Class<? extends Credential>`
BasicCredential.`getCredentialType()`
Get the primary type of the credential instance.
`Class<? extends Credential>`
Credential.`getCredentialType()`
Get the primary type of the credential instance.
Methods in org.opensaml.security.credential with parameters of type Credential
Modifier and Type
Method
Description
`static Key`
CredentialSupport.`extractDecryptionKey(Credential credential)`
Extract the decryption key from the credential.
`static Key`
CredentialSupport.`extractEncryptionKey(Credential credential)`
Extract the encryption key from the credential.
`static Key`
CredentialSupport.`extractSigningKey(Credential credential)`
Extract the signing key from the credential.
`static Key`
CredentialSupport.`extractVerificationKey(Credential credential)`
Extract the verification key from the credential.

## Uses of Credential in org.opensaml.security.credential.criteria.impl

Methods in org.opensaml.security.credential.criteria.impl with parameters of type Credential
Modifier and Type
Method
Description
`private Key`
EvaluableKeyAlgorithmCredentialCriterion.`getKey(Credential credential)`
Get the key contained within the credential.
`private Key`
EvaluableKeyLengthCredentialCriterion.`getKey(Credential credential)`
Get the key contained within the credential.
`boolean`
EvaluableEntityIDCredentialCriterion.`test(Credential target)`
`boolean`
EvaluableKeyAlgorithmCredentialCriterion.`test(Credential target)`
`boolean`
EvaluableKeyLengthCredentialCriterion.`test(Credential target)`
`boolean`
EvaluableKeyNameCredentialCriterion.`test(Credential target)`
`boolean`
EvaluablePublicKeyCredentialCriterion.`test(Credential target)`
`boolean`
EvaluableUsageCredentialCriterion.`test(Credential target)`
`boolean`
EvaluableX509CertSelectorCredentialCriterion.`test(Credential target)`
`boolean`
EvaluableX509DigestCredentialCriterion.`test(Credential target)`
`boolean`
EvaluableX509IssuerSerialCredentialCriterion.`test(Credential target)`
`boolean`
EvaluableX509SubjectKeyIdentifierCredentialCriterion.`test(Credential target)`
`boolean`
EvaluableX509SubjectNameCredentialCriterion.`test(Credential target)`

## Uses of Credential in org.opensaml.security.credential.impl

Fields in org.opensaml.security.credential.impl declared as Credential
Modifier and Type
Field
Description
`private Credential`
AbstractChainingCredentialResolver.CredentialIterator.`nextCredential`
The next credential that is safe to return.
Fields in org.opensaml.security.credential.impl with type parameters of type Credential
Modifier and Type
Field
Description
`private final Collection<Credential>`
CollectionCredentialResolver.`collection`
The collection of credentials which is the underlying store for the resolver.
`private Iterator<Credential>`
AbstractChainingCredentialResolver.CredentialIterator.`credentialIterator`
The iterator over Credential instances from the current resolver.
`private final List<Credential>`
StaticCredentialResolver.`creds`
List of credentials held by this resolver.
Methods in org.opensaml.security.credential.impl that return Credential
Modifier and Type
Method
Description
`protected Credential`
KeyStoreCredentialResolver.`buildCredential(KeyStore.Entry keyStoreEntry, String entityID, UsageType usage)`
Build a credential instance from the key store entry.
`private Credential`
AbstractChainingCredentialResolver.CredentialIterator.`getNextCredential()`
Get the next credential that will be returned by this iterator.
`Credential`
AbstractChainingCredentialResolver.CredentialIterator.`next()`
`protected Credential`
KeyStoreCredentialResolver.`processSecretKeyEntry(KeyStore.SecretKeyEntry secretKeyEntry, String entityID, UsageType usage)`
Build a Credential from a keystore secret key entry.
`Credential`
AbstractCredentialResolver.`resolveSingle(CriteriaSet criteriaSet)`
Methods in org.opensaml.security.credential.impl that return types with arguments of type Credential
Modifier and Type
Method
Description
`Collection<Credential>`
CollectionCredentialResolver.`getCollection()`
Get the (modifiable) credential collection which is the backing store for the resolver.
`private Iterator<Credential>`
AbstractChainingCredentialResolver.CredentialIterator.`getNextCredentialIterator()`
Get the iterator from the next resolver in the chain.
`private Set<Predicate<Credential>>`
AbstractCriteriaFilteringCredentialResolver.`getPredicates(CriteriaSet criteriaSet)`
Construct a set of credential predicates based on the criteria set.
`Iterator<Credential>`
AbstractChainingCredentialResolver.CredentialIterable.`iterator()`
`Iterable<Credential>`
AbstractChainingCredentialResolver.`resolve(CriteriaSet criteriaSet)`
`abstract Iterable<Credential>`
AbstractCredentialResolver.`resolve(CriteriaSet criteriaSet)`
`Iterable<Credential>`
AbstractCriteriaFilteringCredentialResolver.`resolve(CriteriaSet criteriaSet)`
`Iterable<Credential>`
StaticCredentialResolver.`resolve(CriteriaSet criteria)`
`protected abstract Iterable<Credential>`
AbstractCriteriaFilteringCredentialResolver.`resolveFromSource(CriteriaSet criteriaSet)`
Subclasses are required to implement this method to resolve credentials from the implementation-specific type of underlying credential source.
`protected Iterable<Credential>`
CollectionCredentialResolver.`resolveFromSource(CriteriaSet criteriaSet)`
Subclasses are required to implement this method to resolve credentials from the implementation-specific type of underlying credential source.
`protected Iterable<Credential>`
FilesystemCredentialResolver.`resolveFromSource(CriteriaSet criteriaSet)`
Subclasses are required to implement this method to resolve credentials from the implementation-specific type of underlying credential source.
`protected Iterable<Credential>`
KeyStoreCredentialResolver.`resolveFromSource(CriteriaSet criteriaSet)`
Subclasses are required to implement this method to resolve credentials from the implementation-specific type of underlying credential source.
Constructors in org.opensaml.security.credential.impl with parameters of type Credential
Modifier
Constructor
Description
``
`StaticCredentialResolver(Credential credential)`
Constructor.
Constructor parameters in org.opensaml.security.credential.impl with type arguments of type Credential
Modifier
Constructor
Description
``
`CollectionCredentialResolver(Collection<Credential> credentials)`
Constructor.
``
`StaticCredentialResolver(List<Credential> credentials)`
Constructor.

## Uses of Credential in org.opensaml.security.crypto

Methods in org.opensaml.security.crypto with parameters of type Credential
Modifier and Type
Method
Description
`static byte[]`
SigningUtil.`sign(Credential signingCredential, String jcaAlgorithmID, boolean isMAC, byte[] input)`
Compute the signature or MAC value over the supplied input.
`static boolean`
SigningUtil.`verify(Credential verificationCredential, String jcaAlgorithmID, boolean isMAC, byte[] signature, byte[] input)`
Verify the signature value computed over the supplied input against the supplied signature value.

## Uses of Credential in org.opensaml.security.messaging

Classes in org.opensaml.security.messaging that implement Credential
Modifier and Type
Class
Description
`class`
`ServletRequestX509CredentialAdapter`
An adapter that exposes the X.509 certificates contained in the servlet request attribute.
Methods in org.opensaml.security.messaging that return types with arguments of type Credential
Modifier and Type
Method
Description
`Class<? extends Credential>`
ServletRequestX509CredentialAdapter.`getCredentialType()`
Get the primary type of the credential instance.

## Uses of Credential in org.opensaml.security.trust.impl

Methods in org.opensaml.security.trust.impl with parameters of type Credential
Modifier and Type
Method
Description
`boolean`
ExplicitKeyTrustEngine.`validate(Credential untrustedCredential, CriteriaSet trustBasisCriteria)`
Validates the token against trusted information obtained in an implementation-specific manner.
`boolean`
ExplicitKeyTrustEvaluator.`validate(Credential untrustedCredential, Iterable<Credential> trustedCredentials)`
Evaluate trust.
`boolean`
ExplicitKeyTrustEvaluator.`validate(Credential untrustedCredential, Credential trustedCredential)`
Evaluate trust.
Method parameters in org.opensaml.security.trust.impl with type arguments of type Credential
Modifier and Type
Method
Description
`boolean`
ExplicitKeyTrustEvaluator.`validate(Credential untrustedCredential, Iterable<Credential> trustedCredentials)`
Evaluate trust.
`boolean`
ExplicitX509CertificateTrustEvaluator.`validate(X509Credential untrustedCredential, Iterable<Credential> trustedCredentials)`
Evaluate trust.

## Uses of Credential in org.opensaml.security.x509

Subinterfaces of Credential in org.opensaml.security.x509
Modifier and Type
Interface
Description
`interface`
`X509Credential`
An entity credential based on key material and other information (e.g.
Classes in org.opensaml.security.x509 that implement Credential
Modifier and Type
Class
Description
`class`
`BasicX509Credential`
A basic implementation of `X509Credential`.
Methods in org.opensaml.security.x509 that return types with arguments of type Credential
Modifier and Type
Method
Description
`Class<? extends Credential>`
BasicX509Credential.`getCredentialType()`
Get the primary type of the credential instance.

## Uses of Credential in org.opensaml.security.x509.impl

Classes in org.opensaml.security.x509.impl that implement Credential
Modifier and Type
Class
Description
`class`
`KeyStoreX509CredentialAdapter`
A wrapper that changes a `KeyStore` in to a `X509Credential`.
`class`
`X509KeyManagerX509CredentialAdapter`
A class that wraps a `X509KeyManager` and exposes it as an `X509Credential`.
Methods in org.opensaml.security.x509.impl that return types with arguments of type Credential
Modifier and Type
Method
Description
`Class<? extends Credential>`
KeyStoreX509CredentialAdapter.`getCredentialType()`
Get the primary type of the credential instance.
`Class<? extends Credential>`
X509KeyManagerX509CredentialAdapter.`getCredentialType()`
Get the primary type of the credential instance.

## Uses of Credential in org.opensaml.spring.credential

Classes in org.opensaml.spring.credential with type parameters of type Credential
Modifier and Type
Class
Description
`class`
`AbstractCredentialFactoryBean<T extends Credential>`
A factory bean to accumulate the information pertaining to an `AbstractCredential`.

## Uses of Credential in org.opensaml.spring.trust

Methods in org.opensaml.spring.trust that return types with arguments of type Credential
Modifier and Type
Method
Description
`protected List<Credential>`
StaticExplicitKeyFactoryBean.`getCredentials()`
Get the configured certificates.

## Uses of Credential in org.opensaml.xmlsec

Fields in org.opensaml.xmlsec declared as Credential
Modifier and Type
Field
Description
`private Credential`
EncryptionParameters.`dataEncryptionCredential`
The EncryptedData encryption credential.
`private final Credential`
KeyTransportAlgorithmPredicate.SelectionInput.`keyTransportCredential`
The candidate key transport credential.
`private Credential`
EncryptionParameters.`keyTransportEncryptionCredential`
The EncryptedKey encryption credential.
`private Credential`
SignatureSigningParameters.`signingCredential`
The signing credential.
Methods in org.opensaml.xmlsec that return Credential
Modifier and Type
Method
Description
`Credential`
EncryptionParameters.`getDataEncryptionCredential()`
Get the encryption credential to use when encrypting the EncryptedData.
`Credential`
KeyTransportAlgorithmPredicate.SelectionInput.`getKeyTransportCredential()`
Get the candidate key transport credential.
`Credential`
EncryptionParameters.`getKeyTransportEncryptionCredential()`
Get the encryption credential to use when encrypting the EncryptedKey.
`Credential`
SignatureSigningParameters.`getSigningCredential()`
Get the signing credential to use when signing.
Methods in org.opensaml.xmlsec that return types with arguments of type Credential
Modifier and Type
Method
Description
`List<Credential>`
EncryptionConfiguration.`getDataEncryptionCredentials()`
Get the list of data encryption credentials to use, in preference order.
`List<Credential>`
EncryptionConfiguration.`getKeyTransportEncryptionCredentials()`
Get the list of key transport encryption credentials to use, in preference order.
`List<Credential>`
SignatureSigningConfiguration.`getSigningCredentials()`
Get the list of signing credentials to use when signing, in preference order.
Methods in org.opensaml.xmlsec with parameters of type Credential
Modifier and Type
Method
Description
`void`
EncryptionParameters.`setDataEncryptionCredential(Credential credential)`
Set the encryption credential to use when encrypting the EncryptedData.
`void`
EncryptionParameters.`setKeyTransportEncryptionCredential(Credential credential)`
Set the encryption credential to use when encrypting the EncryptedKey.
`void`
SignatureSigningParameters.`setSigningCredential(Credential credential)`
Set the signing credential to use when signing.
Constructors in org.opensaml.xmlsec with parameters of type Credential
Modifier
Constructor
Description
``
`SelectionInput(String keyTransportAlgorithmCandidate, String dataEncryptionAlgorithmCandidate, Credential keyTransportCredentialCandidate)`
Constructor.

## Uses of Credential in org.opensaml.xmlsec.agreement

Subinterfaces of Credential in org.opensaml.xmlsec.agreement
Modifier and Type
Interface
Description
`interface`
`KeyAgreementCredential`
An entity credential which represents the result of a key agreement operation.
Methods in org.opensaml.xmlsec.agreement that return Credential
Modifier and Type
Method
Description
`Credential`
KeyAgreementCredential.`getOriginatorCredential()`
The credential holding the originator key material.
`Credential`
KeyAgreementCredential.`getRecipientCredential()`
The credential holding the recipient key material.
Methods in org.opensaml.xmlsec.agreement with parameters of type Credential
Modifier and Type
Method
Description
`KeyAgreementCredential`
KeyAgreementProcessor.`execute(Credential publicCredential, String keyAlgorithm, KeyAgreementParameters parameters)`
Perform the key agreement operation and return a new credential representing the results.
`static boolean`
KeyAgreementSupport.`supportsKeyAgreement(Credential credential)`
Evaluate whether the specified credential contains a public key which supports key agreement.

## Uses of Credential in org.opensaml.xmlsec.agreement.impl

Classes in org.opensaml.xmlsec.agreement.impl that implement Credential
Modifier and Type
Class
Description
`class`
`BasicKeyAgreementCredential`
Basic implementation of `KeyAgreementCredential`.
Fields in org.opensaml.xmlsec.agreement.impl declared as Credential
Modifier and Type
Field
Description
`private Credential`
PrivateCredential.`credential`
The wrapped Credential.
`private Credential`
BasicKeyAgreementCredential.`originatorCredential`
Originator credential.
`private Credential`
BasicKeyAgreementCredential.`recipientCredential`
Recipient credential.
Methods in org.opensaml.xmlsec.agreement.impl that return Credential
Modifier and Type
Method
Description
`Credential`
PrivateCredential.`getCredential()`
Get the wrapped credential.
`Credential`
BasicKeyAgreementCredential.`getOriginatorCredential()`
The credential holding the originator key material.
`Credential`
BasicKeyAgreementCredential.`getRecipientCredential()`
The credential holding the recipient key material.
`protected Credential`
AbstractKeyAgreementProcessor.`obtainPrivateCredential(Credential publicCredential, KeyAgreementParameters parameters)`
Obtain the private credential which is compatible with the given public credential.
`protected Credential`
DHWithExplicitKDFKeyAgreementProcessor.`obtainPrivateCredential(Credential publicCredential, KeyAgreementParameters parameters)`
Obtain the private credential which is compatible with the given public credential.
`protected Credential`
DHWithLegacyKDFKeyAgreementProcessor.`obtainPrivateCredential(Credential publicCredential, KeyAgreementParameters parameters)`
Obtain the private credential which is compatible with the given public credential.
`protected Credential`
ECDHKeyAgreementProcessor.`obtainPrivateCredential(Credential publicCredential, KeyAgreementParameters parameters)`
Obtain the private credential which is compatible with the given public credential.
Methods in org.opensaml.xmlsec.agreement.impl that return types with arguments of type Credential
Modifier and Type
Method
Description
`Class<? extends Credential>`
BasicKeyAgreementCredential.`getCredentialType()`
Get the primary type of the credential instance.
Methods in org.opensaml.xmlsec.agreement.impl with parameters of type Credential
Modifier and Type
Method
Description
`protected KeyAgreementCredential`
AbstractKeyAgreementProcessor.`buildKeyAgreementCredential(SecretKey derivedKey, Credential publicCredential, Credential privateCredential, KeyAgreementParameters parameters)`
Build the final `KeyAgreementCredential` from the given inputs.
`KeyAgreementCredential`
AbstractKeyAgreementProcessor.`execute(Credential publicCredential, String keyAlgorithm, KeyAgreementParameters inputParameters)`
Perform the key agreement operation and return a new credential representing the results.
`protected abstract byte[]`
AbstractKeyAgreementProcessor.`generateAgreementSecret(Credential publicCredential, Credential privateCredential, KeyAgreementParameters parameters)`
Generate the agreement secret according to the key algorithm and using the supplied public and private credentials.
`protected byte[]`
DHWithExplicitKDFKeyAgreementProcessor.`generateAgreementSecret(Credential publicCredential, Credential privateCredential, KeyAgreementParameters parameters)`
Generate the agreement secret according to the key algorithm and using the supplied public and private credentials.
`protected byte[]`
DHWithLegacyKDFKeyAgreementProcessor.`generateAgreementSecret(Credential publicCredential, Credential privateCredential, KeyAgreementParameters parameters)`
Generate the agreement secret according to the key algorithm and using the supplied public and private credentials.
`protected byte[]`
ECDHKeyAgreementProcessor.`generateAgreementSecret(Credential publicCredential, Credential privateCredential, KeyAgreementParameters parameters)`
Generate the agreement secret according to the key algorithm and using the supplied public and private credentials.
`protected Credential`
AbstractKeyAgreementProcessor.`obtainPrivateCredential(Credential publicCredential, KeyAgreementParameters parameters)`
Obtain the private credential which is compatible with the given public credential.
`protected Credential`
DHWithExplicitKDFKeyAgreementProcessor.`obtainPrivateCredential(Credential publicCredential, KeyAgreementParameters parameters)`
Obtain the private credential which is compatible with the given public credential.
`protected Credential`
DHWithLegacyKDFKeyAgreementProcessor.`obtainPrivateCredential(Credential publicCredential, KeyAgreementParameters parameters)`
Obtain the private credential which is compatible with the given public credential.
`protected Credential`
ECDHKeyAgreementProcessor.`obtainPrivateCredential(Credential publicCredential, KeyAgreementParameters parameters)`
Obtain the private credential which is compatible with the given public credential.
Constructors in org.opensaml.xmlsec.agreement.impl with parameters of type Credential
Modifier
Constructor
Description
``
`BasicKeyAgreementCredential(SecretKey derivedKey, String agreementAlgorithm, Credential originator, Credential recipient)`
Constructor.
``
`PrivateCredential(Credential newCredential)`
Constructor.

## Uses of Credential in org.opensaml.xmlsec.algorithm

Methods in org.opensaml.xmlsec.algorithm that return Credential
Modifier and Type
Method
Description
`static Credential`
AlgorithmSupport.`generateKeyPairAndCredential(String algorithmURI, int keyLength, boolean includePrivate)`
Generate a random asymmetric key pair and return in a BasicCredential.
`static Credential`
AlgorithmSupport.`generateKeyPairAndCredential(String algorithmURI, AlgorithmParameterSpec paramSpec, boolean includePrivate)`
Generate a random asymmetric key pair and return in a BasicCredential.
`static Credential`
AlgorithmSupport.`generateSymmetricKeyAndCredential(String algorithmURI)`
Generate a random symmetric key and return in a BasicCredential.
Methods in org.opensaml.xmlsec.algorithm with parameters of type Credential
Modifier and Type
Method
Description
`static boolean`
AlgorithmSupport.`credentialSupportsAlgorithmForEncryption(Credential credential, AlgorithmDescriptor algorithm)`
Check whether the supplied credential may be used with the supplied algorithm for the purpose of encryption.
`static boolean`
AlgorithmSupport.`credentialSupportsAlgorithmForSigning(Credential credential, AlgorithmDescriptor algorithm)`
Check whether the supplied credential may be used with the supplied algorithm for the purpose of signing.

## Uses of Credential in org.opensaml.xmlsec.crypto

Methods in org.opensaml.xmlsec.crypto with parameters of type Credential
Modifier and Type
Method
Description
`static byte[]`
XMLSigningUtil.`signWithURI(Credential signingCredential, String algorithmURI, byte[] input)`
Compute the signature or MAC value over the supplied input.
`static boolean`
XMLSigningUtil.`verifyWithURI(Credential verificationCredential, String algorithmURI, byte[] signature, byte[] input)`
Verify the signature value computed over the supplied input against the supplied signature value.

## Uses of Credential in org.opensaml.xmlsec.encryption.support

Fields in org.opensaml.xmlsec.encryption.support declared as Credential
Modifier and Type
Field
Description
`private Credential`
DataEncryptionParameters.`encryptionCredential`
Credential used to encrypt.
Methods in org.opensaml.xmlsec.encryption.support that return Credential
Modifier and Type
Method
Description
`Credential`
DataEncryptionParameters.`getEncryptionCredential()`
Gets the credential used to encrypt.
Methods in org.opensaml.xmlsec.encryption.support with parameters of type Credential
Modifier and Type
Method
Description
`void`
DataEncryptionParameters.`setEncryptionCredential(Credential newEncryptionCredential)`
Sets the credential used to encrypt.

## Uses of Credential in org.opensaml.xmlsec.impl

Fields in org.opensaml.xmlsec.impl with type parameters of type Credential
Modifier and Type
Field
Description
`private List<Credential>`
BasicEncryptionConfiguration.`dataEncryptionCredentials`
Data encryption credentials.
`private List<Credential>`
BasicEncryptionConfiguration.`keyTransportEncryptionCredentials`
Key transport encryption credentials.
`private List<Credential>`
BasicSignatureSigningConfiguration.`signingCredentials`
Signing credentials.
Methods in org.opensaml.xmlsec.impl that return Credential
Modifier and Type
Method
Description
`protected Credential`
BasicEncryptionParametersResolver.`generateDataEncryptionCredential(String dataEncryptionAlgorithm)`
Generate a random data encryption symmetric key credential.
Methods in org.opensaml.xmlsec.impl that return types with arguments of type Credential
Modifier and Type
Method
Description
`List<Credential>`
BasicEncryptionConfiguration.`getDataEncryptionCredentials()`
Get the list of data encryption credentials to use, in preference order.
`protected List<Credential>`
BasicEncryptionParametersResolver.`getEffectiveDataEncryptionCredentials(CriteriaSet criteria)`
Get the effective list of data encryption credentials to consider.
`protected List<Credential>`
BasicEncryptionParametersResolver.`getEffectiveKeyTransportCredentials(CriteriaSet criteria)`
Get the effective list of key transport credentials to consider.
`protected List<Credential>`
BasicSignatureSigningParametersResolver.`getEffectiveSigningCredentials(CriteriaSet criteria)`
Get the effective list of signing credentials to consider.
`List<Credential>`
BasicEncryptionConfiguration.`getKeyTransportEncryptionCredentials()`
Get the list of key transport encryption credentials to use, in preference order.
`List<Credential>`
BasicSignatureSigningConfiguration.`getSigningCredentials()`
Get the list of signing credentials to use when signing, in preference order.
Methods in org.opensaml.xmlsec.impl with parameters of type Credential
Modifier and Type
Method
Description
`protected boolean`
BasicEncryptionParametersResolver.`checkAndProcessKeyAgreement(EncryptionParameters params, CriteriaSet criteria, Credential credential, List<String> dataEncryptionAlgorithms, List<String> keyTransportAlgorithms)`
Check for a credential type that implies a key agreement operation, and process if so indicated.
`protected boolean`
BasicEncryptionParametersResolver.`credentialSupportsAlgorithm(Credential credential, String algorithm)`
Evaluate whether the specified credential is supported for use with the specified algorithm URI.
`protected boolean`
BasicSignatureSigningParametersResolver.`credentialSupportsAlgorithm(Credential credential, String algorithm)`
Evaluate whether the specified credential is supported for use with the specified algorithm URI.
`protected KeyAgreementEncryptionConfiguration`
BasicEncryptionParametersResolver.`getEffectiveKeyAgreementConfiguration(CriteriaSet criteria, Credential credential)`
Get the effective `KeyAgreementEncryptionConfiguration` to use with the specified credential.
`protected KeyInfoGenerator`
AbstractSecurityParametersResolver.`lookupKeyInfoGenerator(Credential credential, NamedKeyInfoGeneratorManager manager, String keyInfoProfileName)`
Resolve a `KeyInfoGenerator` instance based on a `NamedKeyInfoGeneratorManager`, `Credential` and optional KeyInfo generation profile name.
`protected String`
BasicEncryptionParametersResolver.`resolveDataEncryptionAlgorithm(Credential dataEncryptionCredential, List<String> dataEncryptionAlgorithms)`
Determine the data encryption algorithm URI, considering the optionally specified data encryption credential.
`protected String`
BasicEncryptionParametersResolver.`resolveDataEncryptionAlgorithm(Credential dataEncryptionCredential, CriteriaSet criteria, Predicate<String> includeExcludePredicate)`
Determine the data encryption algorithm URI to use with the specified data encryption credential.
`protected KeyInfoGenerator`
BasicEncryptionParametersResolver.`resolveDataKeyInfoGenerator(CriteriaSet criteria, Credential dataEncryptionCredential)`
Resolve and return the `KeyInfoGenerator` instance to use with the specified data encryption credential.
`protected Integer`
BasicSignatureSigningParametersResolver.`resolveHMACOutputLength(CriteriaSet criteria, Credential signingCredential, String algorithmURI)`
Resolve and return the effective HMAC output length to use, if applicable to the specified signing credential and signature method algorithm URI.
`protected KeyInfoGenerator`
BasicSignatureSigningParametersResolver.`resolveKeyInfoGenerator(CriteriaSet criteria, Credential signingCredential)`
Resolve and return the `KeyInfoGenerator` instance to use with the specified credential.
`protected String`
BasicEncryptionParametersResolver.`resolveKeyTransportAlgorithm(Credential keyTransportCredential, List<String> keyTransportAlgorithms, String dataEncryptionAlgorithm, KeyTransportAlgorithmPredicate keyTransportPredicate)`
Determine the key transport encryption algorithm URI to use with the specified key transport credential and optional data encryption algorithm URI.
`protected String`
BasicEncryptionParametersResolver.`resolveKeyTransportAlgorithm(Credential keyTransportCredential, CriteriaSet criteria, Predicate<String> includeExcludePredicate, String dataEncryptionAlgorithm)`
Determine the key transport algorithm URI to use with the specified credential.
`protected KeyInfoGenerator`
BasicEncryptionParametersResolver.`resolveKeyTransportKeyInfoGenerator(CriteriaSet criteria, Credential keyTransportEncryptionCredential)`
Resolve and return the `KeyInfoGenerator` instance to use with the specified key transport credential.
Method parameters in org.opensaml.xmlsec.impl with type arguments of type Credential
Modifier and Type
Method
Description
`BasicEncryptionConfiguration`
BasicEncryptionConfiguration.`setDataEncryptionCredentials(List<Credential> credentials)`
Set the data encryption credentials to use.
`BasicEncryptionConfiguration`
BasicEncryptionConfiguration.`setKeyTransportEncryptionCredentials(List<Credential> credentials)`
Set the key transport encryption credentials to use.
`BasicSignatureSigningConfiguration`
BasicSignatureSigningConfiguration.`setSigningCredentials(List<Credential> credentials)`
Set the signing credentials to use when signing.

## Uses of Credential in org.opensaml.xmlsec.keyinfo

Fields in org.opensaml.xmlsec.keyinfo with type parameters of type Credential
Modifier and Type
Field
Description
`private final Map<Class<? extends Credential>,KeyInfoGeneratorFactory>`
KeyInfoGeneratorManager.`factories`
The factories being managed, indexed by credential type.
Methods in org.opensaml.xmlsec.keyinfo that return types with arguments of type Credential
Modifier and Type
Method
Description
`Class<? extends Credential>`
KeyInfoGeneratorFactory.`getCredentialType()`
Get the type (interface) of the specific type of credential handled by generators produced by this factory.
Methods in org.opensaml.xmlsec.keyinfo with parameters of type Credential
Modifier and Type
Method
Description
`KeyInfo`
KeyInfoGenerator.`generate(Credential credential)`
Generate a new KeyInfo object based on keying material and other information within a credential.
`KeyInfoGeneratorFactory`
KeyInfoGeneratorManager.`getFactory(Credential credential)`
Get the factory which produces KeyInfoGenerators which can handle the specified credential.
`KeyInfoGeneratorFactory`
NamedKeyInfoGeneratorManager.`getFactory(String name, Credential credential)`
Lookup and return the named generator factory for the type of the credential specified.
`static KeyInfoGenerator`
KeyInfoSupport.`getKeyInfoGenerator(Credential credential, NamedKeyInfoGeneratorManager manager, String keyInfoProfileName)`
Obtains a `KeyInfoGenerator` for the specified `Credential`.
`boolean`
KeyInfoGeneratorFactory.`handles(Credential credential)`
Check whether the generators produced by this factory can handle the specified credential.

## Uses of Credential in org.opensaml.xmlsec.keyinfo.impl

Fields in org.opensaml.xmlsec.keyinfo.impl with type parameters of type Credential
Modifier and Type
Field
Description
`private final Collection<Credential>`
KeyInfoResolutionContext.`resolvedCredentials`
This list provides KeyInfo resolvers and providers in a particular processing environment access to credentials that may have already been previously resolved.
Methods in org.opensaml.xmlsec.keyinfo.impl that return Credential
Modifier and Type
Method
Description
`protected Credential`
BasicProviderKeyInfoCredentialResolver.`buildBasicCredential(Key key, Set<String> keyNames)`
Construct a basic credential containing the specified key and set of key names.
Methods in org.opensaml.xmlsec.keyinfo.impl that return types with arguments of type Credential
Modifier and Type
Method
Description
`Class<? extends Credential>`
BasicKeyInfoGeneratorFactory.`getCredentialType()`
Get the type (interface) of the specific type of credential handled by generators produced by this factory.
`Class<? extends Credential>`
KeyAgreementKeyInfoGeneratorFactory.`getCredentialType()`
Get the type (interface) of the specific type of credential handled by generators produced by this factory.
`Class<? extends Credential>`
X509KeyInfoGeneratorFactory.`getCredentialType()`
Get the type (interface) of the specific type of credential handled by generators produced by this factory.
`Collection<Credential>`
KeyInfoResolutionContext.`getResolvedCredentials()`
Get the set of credentials previously resolved.
`Collection<Credential>`
KeyInfoProvider.`process(KeyInfoCredentialResolver resolver, XMLObject keyInfoChild, CriteriaSet criteriaSet, KeyInfoResolutionContext kiContext)`
Process a specified KeyInfo child (XMLobject) and attempt to resolve a credential from it.
`protected Collection<Credential>`
BasicProviderKeyInfoCredentialResolver.`processKeyInfoChild(KeyInfoResolutionContext kiContext, CriteriaSet criteriaSet, XMLObject keyInfoChild)`
Process the given KeyInfo child with the registered providers.
`protected Collection<? extends Credential>`
LocalKeyInfoCredentialResolver.`resolveByKeyName(String keyName)`
Resolve credentials from local resolver using key name criteria.
`protected Collection<? extends Credential>`
LocalKeyInfoCredentialResolver.`resolveByPublicKey(PublicKey publicKey)`
Resolve credentials from local resolver using public key criteria.
`protected Iterable<Credential>`
BasicProviderKeyInfoCredentialResolver.`resolveFromSource(CriteriaSet criteriaSet)`
Subclasses are required to implement this method to resolve credentials from the implementation-specific type of underlying credential source.
Methods in org.opensaml.xmlsec.keyinfo.impl with parameters of type Credential
Modifier and Type
Method
Description
`protected Key`
BasicProviderKeyInfoCredentialResolver.`extractKeyValue(Credential cred)`
Utility method to extract any key that might be present in the specified Credential.
`KeyInfo`
BasicKeyInfoGeneratorFactory.BasicKeyInfoGenerator.`generate(Credential credential)`
Generate a new KeyInfo object based on keying material and other information within a credential.
`KeyInfo`
KeyAgreementKeyInfoGeneratorFactory.KeyAgreementKeyInfoGenerator.`generate(Credential credential)`
Generate a new KeyInfo object based on keying material and other information within a credential.
`KeyInfo`
StaticKeyInfoGenerator.`generate(Credential credential)`
Generate a new KeyInfo object based on keying material and other information within a credential.
`KeyInfo`
X509KeyInfoGeneratorFactory.X509KeyInfoGenerator.`generate(Credential credential)`
Generate a new KeyInfo object based on keying material and other information within a credential.
`boolean`
BasicKeyInfoGeneratorFactory.`handles(Credential credential)`
Check whether the generators produced by this factory can handle the specified credential.
`boolean`
KeyAgreementKeyInfoGeneratorFactory.`handles(Credential credential)`
Check whether the generators produced by this factory can handle the specified credential.
`boolean`
X509KeyInfoGeneratorFactory.`handles(Credential credential)`
Check whether the generators produced by this factory can handle the specified credential.
`protected boolean`
LocalKeyInfoCredentialResolver.`isLocalCredential(Credential credential)`
Determine whether the credential is a local credential.
`protected void`
BasicKeyInfoGeneratorFactory.BasicKeyInfoGenerator.`processEntityID(KeyInfo keyInfo, Credential credential)`
Process the value of `getEntityId()`.
`protected void`
BasicKeyInfoGeneratorFactory.BasicKeyInfoGenerator.`processKeyNames(KeyInfo keyInfo, Credential credential)`
Process the values of `getKeyNames()`.
`protected void`
BasicKeyInfoGeneratorFactory.BasicKeyInfoGenerator.`processPublicKey(KeyInfo keyInfo, Credential credential)`
Process the value of `getPublicKey()`.
Method parameters in org.opensaml.xmlsec.keyinfo.impl with type arguments of type Credential
Modifier and Type
Method
Description
`protected void`
BasicProviderKeyInfoCredentialResolver.`postProcess(KeyInfoResolutionContext kiContext, CriteriaSet criteriaSet, List<Credential> credentials)`
Hook for subclasses to do post-processing of the credential set after all KeyInfo children have been processed.
`protected void`
LocalKeyInfoCredentialResolver.`postProcess(KeyInfoResolutionContext kiContext, CriteriaSet criteriaSet, List<Credential> credentials)`
Hook for subclasses to do post-processing of the credential set after all KeyInfo children have been processed.
`protected void`
BasicProviderKeyInfoCredentialResolver.`postProcessEmptyCredentials(KeyInfoResolutionContext kiContext, CriteriaSet criteriaSet, List<Credential> credentials)`
Hook for processing the case where no credentials were returned by any resolution method by any provider, nor by the processing of the `BasicProviderKeyInfoCredentialResolver.postProcess(KeyInfoResolutionContext, CriteriaSet, List)` hook.
`private void`
BasicProviderKeyInfoCredentialResolver.`processKeyInfo(KeyInfo keyInfo, KeyInfoResolutionContext kiContext, CriteriaSet criteriaSet, List<Credential> credentials)`
The main processing logic implemented by this resolver.
`protected void`
BasicProviderKeyInfoCredentialResolver.`processKeyInfoChildren(KeyInfoResolutionContext kiContext, CriteriaSet criteriaSet, List<Credential> credentials)`
Use registered providers to process the non-KeyValue/DEREncodedKeyValue children of KeyInfo.
Constructors in org.opensaml.xmlsec.keyinfo.impl with parameters of type Credential
Modifier
Constructor
Description
``
`StaticKeyInfoCredentialResolver(Credential credential)`
Constructor.
Constructor parameters in org.opensaml.xmlsec.keyinfo.impl with type arguments of type Credential
Modifier
Constructor
Description
``
`CollectionKeyInfoCredentialResolver(Collection<Credential> credentials)`
Constructor.
``
`KeyInfoResolutionContext(Collection<Credential> credentials)`
Constructor.
``
`StaticKeyInfoCredentialResolver(List<Credential> credentials)`
Constructor.

## Uses of Credential in org.opensaml.xmlsec.keyinfo.impl.provider

Methods in org.opensaml.xmlsec.keyinfo.impl.provider that return Credential
Modifier and Type
Method
Description
`private Credential`
AgreementMethodKeyInfoProvider.`resolveOriginatorCredential(AgreementMethod agreementMethod, KeyInfoCredentialResolver resolver)`
Resolve the originator `Credential` from the `OriginatorKeyInfo` element.
`private Credential`
AgreementMethodKeyInfoProvider.`resolveRecipientCredential(AgreementMethod agreementMethod, KeyInfoCredentialResolver resolver)`
Resolve the recipient `Credential` from the `RecipientKeyInfo` element.
Methods in org.opensaml.xmlsec.keyinfo.impl.provider that return types with arguments of type Credential
Modifier and Type
Method
Description
`Collection<Credential>`
AgreementMethodKeyInfoProvider.`process(KeyInfoCredentialResolver resolver, XMLObject keyInfoChild, CriteriaSet criteriaSet, KeyInfoResolutionContext kiContext)`
Process a specified KeyInfo child (XMLobject) and attempt to resolve a credential from it.
`Collection<Credential>`
DEREncodedKeyValueProvider.`process(KeyInfoCredentialResolver resolver, XMLObject keyInfoChild, CriteriaSet criteriaSet, KeyInfoResolutionContext kiContext)`
Process a specified KeyInfo child (XMLobject) and attempt to resolve a credential from it.
`Collection<Credential>`
DSAKeyValueProvider.`process(KeyInfoCredentialResolver resolver, XMLObject keyInfoChild, CriteriaSet criteriaSet, KeyInfoResolutionContext kiContext)`
Process a specified KeyInfo child (XMLobject) and attempt to resolve a credential from it.
`Collection<Credential>`
ECKeyValueProvider.`process(KeyInfoCredentialResolver resolver, XMLObject keyInfoChild, CriteriaSet criteriaSet, KeyInfoResolutionContext kiContext)`
Process a specified KeyInfo child (XMLobject) and attempt to resolve a credential from it.
`Collection<Credential>`
InlineX509DataProvider.`process(KeyInfoCredentialResolver resolver, XMLObject keyInfoChild, CriteriaSet criteriaSet, KeyInfoResolutionContext kiContext)`
Process a specified KeyInfo child (XMLobject) and attempt to resolve a credential from it.
`Collection<Credential>`
KeyInfoReferenceProvider.`process(KeyInfoCredentialResolver resolver, XMLObject keyInfoChild, CriteriaSet criteriaSet, KeyInfoResolutionContext kiContext)`
Process a specified KeyInfo child (XMLobject) and attempt to resolve a credential from it.
`Collection<Credential>`
RSAKeyValueProvider.`process(KeyInfoCredentialResolver resolver, XMLObject keyInfoChild, CriteriaSet criteriaSet, KeyInfoResolutionContext kiContext)`
Process a specified KeyInfo child (XMLobject) and attempt to resolve a credential from it.
Methods in org.opensaml.xmlsec.keyinfo.impl.provider with parameters of type Credential
Modifier and Type
Method
Description
`protected Key`
AbstractKeyInfoProvider.`extractKeyValue(Credential cred)`
Utility method to extract any key that might be present in the specified Credential.

## Uses of Credential in org.opensaml.xmlsec.signature

Methods in org.opensaml.xmlsec.signature that return Credential
Modifier and Type
Method
Description
`Credential`
Signature.`getSigningCredential()`
Gets the signature signing credential.
Methods in org.opensaml.xmlsec.signature with parameters of type Credential
Modifier and Type
Method
Description
`void`
Signature.`setSigningCredential(Credential newCredential)`
Sets the signature signing credential.

## Uses of Credential in org.opensaml.xmlsec.signature.impl

Fields in org.opensaml.xmlsec.signature.impl declared as Credential
Modifier and Type
Field
Description
`private Credential`
SignatureImpl.`signingCredential`
Key used to sign the signature.
Methods in org.opensaml.xmlsec.signature.impl that return Credential
Modifier and Type
Method
Description
`Credential`
SignatureImpl.`getSigningCredential()`
Gets the signature signing credential.
Methods in org.opensaml.xmlsec.signature.impl with parameters of type Credential
Modifier and Type
Method
Description
`void`
SignatureImpl.`setSigningCredential(Credential newCredential)`
Sets the signature signing credential.

## Uses of Credential in org.opensaml.xmlsec.signature.support

Methods in org.opensaml.xmlsec.signature.support with parameters of type Credential
Modifier and Type
Method
Description
`boolean`
SignatureTrustEngine.`validate(byte[] signature, byte[] content, String algorithmURI, CriteriaSet trustBasisCriteria, Credential candidateCredential)`
Determines whether a raw signature over specified content is valid and signed by a trusted credential.
`void`
SignatureValidationProvider.`validate(Signature signature, Credential validationCredential)`
Validate the given XML Signature using the given candidate validation Credential.
`static void`
SignatureValidator.`validate(Signature signature, Credential validationCredential)`
Validate the given XML Signature using the given candidate validation Credential.

## Uses of Credential in org.opensaml.xmlsec.signature.support.impl

Methods in org.opensaml.xmlsec.signature.support.impl with parameters of type Credential
Modifier and Type
Method
Description
`protected abstract boolean`
BaseSignatureTrustEngine.`doValidate(byte[] signature, byte[] content, String algorithmURI, CriteriaSet trustBasisCriteria, Credential candidateCredential)`
Determines whether a raw signature over specified content is valid and signed by a trusted credential.
`protected boolean`
ExplicitKeySignatureTrustEngine.`doValidate(byte[] signature, byte[] content, String algorithmURI, CriteriaSet trustBasisCriteria, Credential candidateCredential)`
Determines whether a raw signature over specified content is valid and signed by a trusted credential.
`protected boolean`
PKIXSignatureTrustEngine.`doValidate(byte[] signature, byte[] content, String algorithmURI, CriteriaSet trustBasisCriteria, Credential candidateCredential)`
Determines whether a raw signature over specified content is valid and signed by a trusted credential.
`protected abstract boolean`
BaseSignatureTrustEngine.`evaluateTrust(Credential untrustedCredential, TrustBasisType trustBasis)`
Evaluate the untrusted KeyInfo-derived credential with respect to the specified trusted information.
`protected boolean`
ExplicitKeySignatureTrustEngine.`evaluateTrust(Credential untrustedCredential, Iterable<Credential> trustedCredentials)`
Evaluate the untrusted KeyInfo-derived credential with respect to the specified trusted information.
`protected boolean`
PKIXSignatureTrustEngine.`evaluateTrust(Credential untrustedCredential, Pair<Set<String>,Iterable<PKIXValidationInformation>> validationPair)`
Evaluate the untrusted KeyInfo-derived credential with respect to the specified trusted information.
`final boolean`
BaseSignatureTrustEngine.`validate(byte[] signature, byte[] content, String algorithmURI, CriteriaSet trustBasisCriteria, Credential candidateCredential)`
Determines whether a raw signature over specified content is valid and signed by a trusted credential.
`boolean`
ChainingSignatureTrustEngine.`validate(byte[] signature, byte[] content, String algorithmURI, CriteriaSet trustBasisCriteria, Credential candidateCredential)`
Determines whether a raw signature over specified content is valid and signed by a trusted credential.
`protected boolean`
BaseSignatureTrustEngine.`verifySignature(Signature signature, Credential credential)`
Attempt to verify a signature using the key from the supplied credential.
Method parameters in org.opensaml.xmlsec.signature.support.impl with type arguments of type Credential
Modifier and Type
Method
Description
`protected boolean`
ExplicitKeySignatureTrustEngine.`evaluateTrust(Credential untrustedCredential, Iterable<Credential> trustedCredentials)`
Evaluate the untrusted KeyInfo-derived credential with respect to the specified trusted information.

## Uses of Credential in org.opensaml.xmlsec.signature.support.impl.provider

Methods in org.opensaml.xmlsec.signature.support.impl.provider with parameters of type Credential
Modifier and Type
Method
Description
`void`
ApacheSantuarioSignatureValidationProviderImpl.`validate(Signature signature, Credential validationCredential)`
Validate the given XML Signature using the given candidate validation Credential.